Debian Bug report logs - #510685
[gcstar] Gcstar freeze when trying to retrieve data from a website

version graph

Package: gcstar; Maintainer for gcstar is Alexander Wirt <formorer@debian.org>; Source for gcstar is src:gcstar.

Reported by: Michaël Latour <M.Latour@ifrance.com>

Date: Sun, 4 Jan 2009 11:03:04 UTC

Severity: serious

Tags: patch

Found in version gcstar/1.3.2-1

Fixed in version gcstar/1.3.2-1.1

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alexander Wirt <formorer@debian.org>:
Bug#510685; Package gcstar. (Sun, 04 Jan 2009 11:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michaël Latour <M.Latour@ifrance.com>:
New Bug report received and forwarded. Copy sent to Alexander Wirt <formorer@debian.org>. (Sun, 04 Jan 2009 11:03:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michaël Latour <M.Latour@ifrance.com>
To: submit@bugs.debian.org
Subject: [gcstar] Gcstar freeze when trying to retrieve data from a website
Date: Sun, 04 Jan 2009 12:01:52 +0100
Package: gcstar
Version: 1.3.2-1
Severity: serious

--- Please enter the report below this line. ---

Hi,

When I try to retrieve movie datas for my collection, Gcstar freezes 
(whatever the website is) and I have these errors :

11:18 michael@bizanos ~% gcstar
/home/michael/.gtkrc-2.0:2: error: scanner: unterminated string constant 
- e.g. `style'
Can't store CODE items at ../../lib/Storable.pm (autosplit into 
../../lib/auto/Storable/_store_fd.al) line 304, at 
/usr/bin/../share/gcstar/lib/GCPlugins.pm line 142
zsh: killed     gcstar
11:33 michael@bizanos ~% Magic number checking on storable file failed 
at ../../lib/Storable.pm (autosplit into 
../../lib/auto/Storable/fd_retrieve.al) line 398, at 
/usr/bin/../share/gcstar/lib/GCPlugins.pm line 96

This problem is well known by the developers and fixed in recent 
versions (such as 1.4.3) as said in the official forum (in french, sorry) :
http://forums.gcstar.org/viewtopic.php?id=799

I think it would be great to update Debian's Gcstar version.

Thanks for the good work !


--- System information. ---
Architecture: i386
Kernel: Linux 2.6.26-1-686

Debian Release: 5.0
500 unstable ftp.fr.debian.org
500 unstable apt.ludomatic.fr
500 instable download.tuxfamily.org

--- Package information. ---
Depends (Version) | Installed
=================================================-+-===========
libarchive-tar-perl |
libarchive-zip-perl | 1.18-1
libgtk2-perl | 1:1.190-1
libmp3-tag-perl | 0.9710-1
libogg-vorbis-header-pureperl-perl | 1.0-1
libwww-perl | 5.820-1
libxml-parser-perl | 2.36-1.1+b1
libxml-simple-perl | 2.18-1
perl | 5.10.0-19






Tags added: patch Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sun, 04 Jan 2009 15:54:09 GMT) Full text and rfc822 format available.

Message sent on to Michaël Latour <M.Latour@ifrance.com>:
Bug#510685. (Sun, 04 Jan 2009 15:54:12 GMT) Full text and rfc822 format available.

Message #10 received at 510685-submitter@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 510685-submitter@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Patch available, backported from 1.4.3
Date: Sun, 4 Jan 2009 15:53:26 +0000
[Message part 1 (text/plain, inline)]
Package: gcstar
tag 510685 + patch
thanks

I compared the current Debian tarball with the upstream tarball for
1.4.3 that reportedly contains the fix and isolated the problem down to
lib/gcstar/GCPlugins.pm. A single line change is made in the relevant
portion of the module in 1.4.3 and backporting this change to 1.3.2
fixes the issue on my system.

(I was able to reproduce the bug and this patch fixes the bug.)

+diff -urNad gcstar-1.3.2~/lib/gcstar/GCPlugins.pm
gcstar-1.3.2/lib/gcstar/GCPlugins.pm +---
gcstar-1.3.2~/lib/gcstar/GCPlugins.pm      2008-01-25
18:26:44.000000000 +0000 ++++
gcstar-1.3.2/lib/gcstar/GCPlugins.pm       2009-01-04
15:44:12.000000000 +0000 +@@ -139,6 +139,7 @@
+                     $plugin->{title} = $info->{query};
+                     $plugin->{searchField} = $info->{field};
+                     $plugin->load;
++                    local $Storable::forgive_me = 1;
+                     store_fd $plugin, $self->{data};
+                 }
+                 elsif ($info->{type} ne 'exit')

Full nmudiff attached.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.linux.codehelp.co.uk/
http://e-mail.is-not-s.ms/

[510685.diff (text/x-diff, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Wirt <formorer@debian.org>:
Bug#510685; Package gcstar. (Sun, 04 Jan 2009 16:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michaël <michael@robase.net>:
Extra info received and forwarded to list. Copy sent to Alexander Wirt <formorer@debian.org>. (Sun, 04 Jan 2009 16:24:03 GMT) Full text and rfc822 format available.

Message #15 received at 510685@bugs.debian.org (full text, mbox):

From: Michaël <michael@robase.net>
To: 510685@bugs.debian.org
Subject: [gcstar] it works !
Date: Sun, 04 Jan 2009 17:21:09 +0100
Package: gcstar
Version: 1.3.2-1

--- Please enter the report below this line. ---

I tried this patch and it works perfectly now. Thank you for your help Neil.


--- System information. ---
Architecture: i386
Kernel: Linux 2.6.26-1-686

Debian Release: 5.0
500 unstable ftp.fr.debian.org
500 unstable apt.ludomatic.fr
500 instable download.tuxfamily.org

--- Package information. ---
Depends (Version) | Installed
=================================================-+-===========
libarchive-tar-perl |
libarchive-zip-perl | 1.18-1
libgtk2-perl | 1:1.190-1
libmp3-tag-perl | 0.9710-1
libogg-vorbis-header-pureperl-perl | 1.0-1
libwww-perl | 5.820-1
libxml-parser-perl | 2.36-1.1+b1
libxml-simple-perl | 2.18-1
perl | 5.10.0-19






Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Sun, 11 Jan 2009 10:42:19 GMT) Full text and rfc822 format available.

Notification sent to Michaël Latour <M.Latour@ifrance.com>:
Bug acknowledged by developer. (Sun, 11 Jan 2009 10:42:19 GMT) Full text and rfc822 format available.

Message #20 received at 510685-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 510685-close@bugs.debian.org
Subject: Bug#510685: fixed in gcstar 1.3.2-1.1
Date: Sun, 11 Jan 2009 10:32:08 +0000
Source: gcstar
Source-Version: 1.3.2-1.1

We believe that the bug you reported is fixed in the latest version of
gcstar, which is due to be installed in the Debian FTP archive:

gcstar_1.3.2-1.1.diff.gz
  to pool/main/g/gcstar/gcstar_1.3.2-1.1.diff.gz
gcstar_1.3.2-1.1.dsc
  to pool/main/g/gcstar/gcstar_1.3.2-1.1.dsc
gcstar_1.3.2-1.1_all.deb
  to pool/main/g/gcstar/gcstar_1.3.2-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 510685@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated gcstar package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 04 Jan 2009 15:44:40 +0000
Source: gcstar
Binary: gcstar
Architecture: source all
Version: 1.3.2-1.1
Distribution: unstable
Urgency: low
Maintainer: Alexander Wirt <formorer@debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 gcstar     - An application for managing your movie collection
Closes: 510685
Changes: 
 gcstar (1.3.2-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Backport Storage:::forgive_me change from new upstream version
     to prevent Gcstar freeze when trying to retrieve data from a
     website (Closes: #510685)
Checksums-Sha1: 
 a75b82be9ec7fc01d4f52a68d872837ae8de40f2 1132 gcstar_1.3.2-1.1.dsc
 98d7cc2811edc99d55313dbae8e65c22261a5712 7564 gcstar_1.3.2-1.1.diff.gz
 2891c32bd8f13ae2c5ec6581152986538939b0e2 2196494 gcstar_1.3.2-1.1_all.deb
Checksums-Sha256: 
 2a600259c79a797e70e53157f3e7d8df7d0b128a9fa4ac81e171865f4425c009 1132 gcstar_1.3.2-1.1.dsc
 3c8b8efb7dd7fa390d399cdd07cb54a4861cd0c32fa4ae7161813233486f331d 7564 gcstar_1.3.2-1.1.diff.gz
 5cb597350957b0ddcde68110fb27865234b6039fe8a66e998720eee1e3c829c4 2196494 gcstar_1.3.2-1.1_all.deb
Files: 
 dcbd47e524e12fd2aa71f0f1ee625cef 1132 x11 optional gcstar_1.3.2-1.1.dsc
 638e6dd9c398cb6f5a22c0f21bac7aca 7564 x11 optional gcstar_1.3.2-1.1.diff.gz
 fb83720c640b712d2cad14344d90d80d 2196494 x11 optional gcstar_1.3.2-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAklpyDoACgkQ97LBwbNFvdN97gCfdaDF0tqGiq/f7nZ4/D42aQwx
n6kAn1jf9KQjIEjoC7R5INAffzRvLBT/
=Y5h8
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 09 Feb 2009 07:31:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:46:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.